# makefile for WATCOM C 11.0 & wmake

CC = wcl386
LD = wcl386

DEFS =
CFLAGS = /5s /oax /d1 #-O2 -fomit-frame-pointer -g -Wall #-Zwin32 -Wall # -Werror

.c.obj:
	$(CC) $(DEFS) $(CFLAGS) /c /fo=$@ $<

OBJS =  cpu2.obj    mem.obj     emu.obj     hw.obj     bios.obj  gpu.obj  poly2.obj  win.obj &
	compile.obj runtime.obj gte.obj     malloc.obj cdrom.obj dis.obj  joypad.obj  &
	sio.obj     mdec.obj    idctfst.obj spu.obj    debug.obj xa.obj   cdnull.obj &
	joydrv.obj  rs232.obj	seal.obj    audw32vc.lib

LIBS = #-luser32 -lgdi32 #-lddraw -lopengl32

all:	fpse.exe

fpse.exe: $(OBJS)
	$(LD) $(CFLAGS) $(OBJS) $(LIBS)

clean :
	del *.exe
	del *.sym
	del *.obj
