#ifndef GPU_H
#define GPU_H

#include "type.h"

UINT32 gp0_read(void);
UINT32 gp1_read(void);
void gp0_write(UINT32 data);
void gp1_write(UINT32 code);

int tpage_changed(int tpage);
int clut_changed(int clut);

void gpu_update(void);
void gpudma_exec(UINT32 adr,UINT32 bcr,UINT32 chcr);
void gpu_init(void);
void ScreenShot(void);

#endif
